package com.red.circle.other.app.inner.service.activity;

import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.activity.ActivityHallFameQryCmd;
import com.red.circle.other.inner.model.dto.activity.ActivityHallFameDTO;

/**
 * 名人堂.
 *
 * @author pengliang on 2023/10/9
 */
public interface ActivityHallFameClientService {

  void saveOrUpdate(ActivityHallFameDTO dto);

  void deleteById(Long id);

  PageResult<ActivityHallFameDTO> pageQuery(ActivityHallFameQryCmd qryCmd);

}
